# Projet ESP

Projet sur une board esp32-8048S043. Le code suivant est fonctionnel. Il s'appuie sur le code officiel du github `esp-idf`.

* [github esp-idf](https://github.com/espressif/esp-idf)
* [Lien du code](https://github.com/espressif/esp-idf/tree/master/examples/wifi/getting_started/station)

Il existe aussi une branch [dev](https://gogs.sincrone.fr/Snorky/esp-project/src/branch/dev).

## TODO

|   Status  |   Description |
|---    |:-:    |
|In Progress    | Intégration le lvgl   |
|In Progress    |   Intégration Marauder    |
|In Progress    | Lecture flux vidéo |



## Configurer vos accés wifi.

Tout se passe dans le fichier `wifi_connect.h`

Modifier les `#define` suivant: 

* #define CONFIG_ESP_WIFI_SSID "YourSSID"
* #define CONFIG_ESP_WIFI_PASS "YourPASSWORD"

### Build et Flash

Pour build et flasher le board, connectez la via usb et lancer la commande suivante:

`idf.py -p PORT flash monitor`

Pour sortir du mode monitor saissez les touches ``Ctrl-]`` 

Un peu de doc car la doc ca fait du bien. :)

* [ESP-IDF Getting Started Guide on ESP32](https://docs.espressif.com/projects/esp-idf/en/latest/esp32/get-started/index.html)
* [ESP-IDF Getting Started Guide on ESP32-S2](https://docs.espressif.com/projects/esp-idf/en/latest/esp32s2/get-started/index.html)
* [ESP-IDF Getting Started Guide on ESP32-C3](https://docs.espressif.com/projects/esp-idf/en/latest/esp32c3/get-started/index.html)

## Example de sortie

```
I (27) boot: ESP-IDF v5.4 2nd stage bootloader
I (27) boot: compile time Jan  9 2025 18:48:28
I (27) boot: Multicore bootloader
I (27) boot: chip revision: v0.2
I (30) boot: efuse block revision: v1.3
I (33) boot.esp32s3: Boot SPI Speed : 80MHz
I (37) boot.esp32s3: SPI Mode       : DIO
I (41) boot.esp32s3: SPI Flash Size : 2MB
I (45) boot: Enabling RNG early entropy source...
I (49) boot: Partition Table:
I (52) boot: ## Label            Usage          Type ST Offset   Length
I (58) boot:  0 nvs              WiFi data        01 02 00009000 00006000
I (65) boot:  1 phy_init         RF data          01 01 0000f000 00001000
I (71) boot:  2 factory          factory app      00 00 00010000 00100000
I (78) boot: End of partition table
I (81) esp_image: segment 0: paddr=00010020 vaddr=3c080020 size=189f0h (100848) map
I (106) esp_image: segment 1: paddr=00028a18 vaddr=3fc99a00 size=04948h ( 18760) load
I (110) esp_image: segment 2: paddr=0002d368 vaddr=40374000 size=02cb0h ( 11440) load
I (113) esp_image: segment 3: paddr=00030020 vaddr=42000020 size=77458h (488536) map
I (204) esp_image: segment 4: paddr=000a7480 vaddr=40376cb0 size=12cb8h ( 76984) load
I (220) esp_image: segment 5: paddr=000ba140 vaddr=600fe100 size=0001ch (    28) load
I (229) boot: Loaded app from partition at offset 0x10000
I (229) boot: Disabling RNG early entropy source...
I (239) cpu_start: Multicore app
I (249) cpu_start: Pro cpu start user code
I (249) cpu_start: cpu freq: 160000000 Hz
I (249) app_init: Application information:
I (249) app_init: Project name:     wifi_station
I (253) app_init: App version:      1
I (256) app_init: Compile time:     Jan  9 2025 18:47:46
I (261) app_init: ELF file SHA256:  47f4e7b75...
I (266) app_init: ESP-IDF:          v5.4
I (269) efuse_init: Min chip rev:     v0.0
I (273) efuse_init: Max chip rev:     v0.99 
I (277) efuse_init: Chip rev:         v0.2
I (281) heap_init: Initializing. RAM available for dynamic allocation:
I (287) heap_init: At 3FCA1F08 len 00047808 (286 KiB): RAM
I (293) heap_init: At 3FCE9710 len 00005724 (21 KiB): RAM
I (298) heap_init: At 3FCF0000 len 00008000 (32 KiB): DRAM
I (303) heap_init: At 600FE11C len 00001ECC (7 KiB): RTCRAM
I (309) spi_flash: detected chip: gd
I (311) spi_flash: flash io: dio
W (314) spi_flash: Detected size(16384k) larger than the size in the binary image header(2048k). Using the size in the binary image header.
I (327) sleep_gpio: Configure to isolate all GPIO pins in sleep state
I (333) sleep_gpio: Enable automatic switching of GPIO sleep configuration
I (340) main_task: Started on CPU0
I (360) main_task: Calling app_main()
I (390) Main: ESP_WIFI_MODE_STA
I (390) pp: pp rom version: e7ae62f
I (390) net80211: net80211 rom version: e7ae62f
I (400) wifi:wifi driver task: 3fcabfec, prio:23, stack:6656, core=0
I (410) wifi:wifi firmware version: 48ea317a7
I (410) wifi:wifi certification version: v7.0
I (410) wifi:config NVS flash: enabled
I (410) wifi:config nano formatting: disabled
I (420) wifi:Init data frame dynamic rx buffer num: 32
I (420) wifi:Init static rx mgmt buffer num: 5
I (420) wifi:Init management short buffer num: 32
I (430) wifi:Init dynamic tx buffer num: 32
I (430) wifi:Init static tx FG buffer num: 2
I (440) wifi:Init static rx buffer size: 1600
I (440) wifi:Init static rx buffer num: 10
I (450) wifi:Init dynamic rx buffer num: 32
I (450) wifi_init: rx ba win: 6
I (450) wifi_init: accept mbox: 6
I (450) wifi_init: tcpip mbox: 32
I (460) wifi_init: udp mbox: 6
I (460) wifi_init: tcp mbox: 6
I (460) wifi_init: tcp tx win: 5760
I (470) wifi_init: tcp rx win: 5760
I (470) wifi_init: tcp mss: 1440
I (470) wifi_init: WiFi IRAM OP enabled
I (480) wifi_init: WiFi RX IRAM OP enabled
I (510) phy_init: phy_version 680,a6008b2,Jun  4 2024,16:41:10
I (540) wifi:mode : sta (84:fc:e6:6b:a0:cc)
I (540) wifi:enable tsf
I (540) wifi_connect: wifi_init_sta finished.
I (1000) wifi:new:<1,0>, old:<1,0>, ap:<255,255>, sta:<1,0>, prof:1, snd_ch_cfg:0x0
I (1000) wifi:state: init -> auth (0xb0)
I (1020) wifi:state: auth -> assoc (0x0)
I (1050) wifi:state: assoc -> run (0x10)
I (1060) wifi:<ba-add>idx:0 (ifx:0, 44:d4:54:71:cb:80), tid:0, ssn:0, winSize:64
I (1070) wifi:<ba-add>idx:1 (ifx:0, 44:d4:54:71:cb:80), tid:5, ssn:0, winSize:64
I (1080) wifi:connected with Freebox_nomap, aid = 1, channel 1, BW20, bssid = 44:d4:54:71:cb:80
I (1090) wifi:security: WPA2-PSK, phy: bgn, rssi: -46
I (1100) wifi:pm start, type: 1

I (1100) wifi:dp: 1, bi: 102400, li: 3, scale listen interval from 307200 us to 307200 us
I (1100) wifi:set rx beacon pti, rx_bcn_pti: 0, bcn_timeout: 25000, mt_pti: 0, mt_time: 10000
I (1130) wifi:AP's beacon interval = 102400 us, DTIM period = 1
I (4400) esp_netif_handlers: sta ip: 192.168.X.X, mask: 255.255.255.0, gw: 192.168.X.X
I (4400) wifi_connect: got ip:192.168.X.X
I (4400) wifi_connect: connected to ap SSID:YourSSID password:YourPassword
I (4410) Main: End of main
I (4410) main_task: Returned from app_main()

```
